# std::__profile::multiset< _Key, _Compare, _Allocator > Class Template Reference

Class std::multiset wrapper with performance instrumentation. More...

Inherits multiset< _Key, _Compare, _Allocator >.

List of all members.

## Public Types

- typedef _Allocator allocator_type
- typedef _Base::const_iterator const_iterator
- typedef _Base::const_pointer const_pointer
- typedef _Base::const_reference const_reference
- typedef
  _Base::const_reverse_iterator const_reverse_iterator
- typedef _Base::difference_type difference_type
- typedef _Base::iterator iterator
- typedef _Compare key_compare
- typedef _Key key_type
- typedef _Base::pointer pointer
- typedef _Base::reference reference
- typedef _Base::reverse_iterator reverse_iterator
- typedef _Base::size_type size_type
- typedef _Compare value_compare
- typedef _Key value_type

## Public Member Functions

- multiset (const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
- template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
- multiset (const _Base &__x)
- multiset (multiset &&__x)
- multiset (const multiset &__x)
- multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
- _Base & _M_base ()
- const _Base & _M_base () const
- iterator begin ()
- const_iterator begin () const
- const_iterator cbegin () const
- const_iterator cend () const
- void clear ()
- const_reverse_iterator crbegin () const
- const_reverse_iterator crend () const
- iterator end ()
- const_iterator end () const
- std::pair< iterator, iterator > equal_range (const key_type &__x)
- std::pair< const_iterator,
  const_iterator > equal_range (const key_type &__x) const
- iterator erase (iterator __first, iterator __last)
- iterator erase (iterator __position)
- size_type erase (const key_type &__x)
- iterator find (const key_type &__x)
- const_iterator find (const key_type &__x) const
- iterator insert (const value_type &__x)
- iterator insert (iterator __position, const value_type &__x)
- template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
- void insert (initializer_list< value_type > __l)
- iterator lower_bound (const key_type &__x)
- const_iterator lower_bound (const key_type &__x) const
- multiset & operator= (const multiset &__x)
- multiset & operator= (initializer_list< value_type > __l)
- multiset & operator= (multiset &&__x)
- const_reverse_iterator rbegin () const
- reverse_iterator rbegin ()
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- void swap (multiset &__x)
- iterator upper_bound (const key_type &__x)
- const_iterator upper_bound (const key_type &__x) const

## Detailed Description

### template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__profile::multiset< _Key, _Compare, _Allocator >

Class std::multiset wrapper with performance instrumentation.

Definition at line 41 of file profile/multiset.h.

The documentation for this class was generated from the following file:

- profile/multiset.h